#!/usr/bin/env python

import httplib
import urllib
import sys
from xml.dom.minidom import *

host = "192.168.0.185:8080"
headers = {"Content-type": "application/x-www-form-urlencoded", "Accept": "text/xml"}

getCoverage="""\
<?xml version="1.0" encoding="UTF-8"?>
<wcs:GetCoverage xmlns:wcs="http://www.opengis.net/wcs/2.0"
    xmlns:gml="http://www.opengis.net/gml/3.2"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.opengis.net/wcs/2.0 ../../wcsAll.xsd"
    service="WCS" version="2.0.0">
    <wcs:CoverageId>petascopeTest</wcs:CoverageId>
    <wcs:DimensionTrim>
        <wcs:Dimension>x</wcs:Dimension>
        <wcs:TrimLow>7</wcs:TrimLow>
        <wcs:TrimHigh>7</wcs:TrimHigh>
    </wcs:DimensionTrim>
    <wcs:DimensionTrim>
        <wcs:Dimension>y</wcs:Dimension>
        <wcs:TrimLow>0</wcs:TrimLow>
        <wcs:TrimHigh>4</wcs:TrimHigh>
    </wcs:DimensionTrim>
    <wcs:DimensionTrim>
        <wcs:Dimension>t</wcs:Dimension>
        <wcs:TrimLow>2</wcs:TrimLow>
        <wcs:TrimHigh>2</wcs:TrimHigh>
    </wcs:DimensionTrim>
</wcs:GetCoverage>
"""
# rasql -q"select m[7:7, 0:4, 1:10] from petascopeTest as m" --out hex --user rasadmin --passwd rasadmin

params = urllib.urlencode({'request' : getCoverage})
conn = httplib.HTTPConnection(host)
conn.request("POST", "/petascope", params, headers)
response = conn.getresponse()

# The full xml response
xml = response.read()

#print xml

dom = parseString(xml)

res = dom.getElementsByTagName("tupleList")

for node in res:
    print node.firstChild.nodeValue
